package pg.android.kernel;

import java.util.Comparator;

/**
 * Comparator Klasse zum Vergleichen von zwei Devices
 * anhang ihres devicetyps
 */
public class DeviceComporator implements Comparator<Device>{
	@Override
	public int compare(Device lhs, Device rhs) {
		int type1 = lhs.type;
		int type2 = rhs.type;

        if(type1 < type2)
            return 1;
        else if(type1 > type2)
            return -1;
        else
            return 0;
	}
}
